QwtIntervalSample(3)

NAME
QwtIntervalSample - A sample of the types (x1-x2, y) or (x, y1-y2)

SYNOPSIS

#include <qwt_samples.h>

  Public Member Functions
QwtIntervalSample ()
QwtIntervalSample (double, const QwtInterval &)
Constructor.
QwtIntervalSample (double value, double min, double max)
Constructor.
bool operator== (const QwtIntervalSample &) const
Compare operator.
bool operator!= (const QwtIntervalSample &) const
Compare operator.

  Public Attributes
double value
Value.
QwtInterval interval
Interval.

Detailed Description

A sample of the types (x1-x2, y) or (x, y1-y2)

Definition at line 20 of file qwt_samples.h.

Constructor & Destructor Documentation

  QwtIntervalSample::QwtIntervalSample () [inline]
Constructor The value is set to 0.0, the interval is invalid

Definition at line 41 of file qwt_samples.h.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.